"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("../../");
function createBabelPlugin(helpers, programFunc, index, preFunc) {
    // prettier-ignore
    if (!preFunc)
        preFunc = (pass, helpers) => __1.useDangerousUDFHelpers(pass, { helpers });
    return function ({ types: t }) {
        return {
            name: `babel-udf-helpers-test-${index}`,
            pre() {
                preFunc(this, helpers);
            },
            visitor: {
                Program(path) {
                    programFunc(this, path);
                },
            },
        };
    };
}
exports.default = createBabelPlugin;
//# sourceMappingURL=plugin.js.map