"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makePath = void 0;
// MEMO:
// generate <path> used by path.get(<path>)
function makePath(path) {
    const parts = [];
    // If the parent exists, set it to path and execute it.Execution ends when there are no parents
    for (; path.parentPath; path = path.parentPath) {
        parts.push(path.key);
        if (path.inList)
            parts.push(path.listKey);
    }
    return parts.reverse().join('.');
}
exports.makePath = makePath;
//# sourceMappingURL=utils.js.map