import * as t from '@babel/types';
declare type GetType = {
    name: string;
    currentId?: t.Identifier;
    currentDependencies?: {
        [key: string]: t.Identifier;
    };
    currentLocalBindingNames?: string[];
};
export declare function getDependencies(name: string): string[];
export declare function buildProgram({ name, currentId, currentDependencies, currentLocalBindingNames, }: GetType): any;
/**
 * MEMO:
 * Initialize
 *  ・Setting the builder class to build the helper.
 *  ・Setting dependencies (global) when renaming etc. are not considered.
 */
export declare function ensure(name: string, builderFileClass: babel.BabelFile): void;
export {};
//# sourceMappingURL=index.d.ts.map