"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotFoundError = exports.AlreadyImplementedError = void 0;
class BaseError extends Error {
    // @ts-ignore
    constructor(...params) {
        super(...params);
        if (Error.captureStackTrace) {
            Error.captureStackTrace(this, AlreadyImplementedError);
        }
    }
}
class AlreadyImplementedError extends BaseError {
    // @ts-ignore
    constructor(...params) {
        super(...params);
        this.name = 'AlreadyImplementedError';
    }
}
exports.AlreadyImplementedError = AlreadyImplementedError;
class NotFoundError extends BaseError {
    // @ts-ignore
    constructor(...params) {
        super(...params);
        this.name = 'NotFoundError';
    }
}
exports.NotFoundError = NotFoundError;
//# sourceMappingURL=errors.js.map